"""Submodule for shared formats used in pydantic models."""

MATCH_TEMPLATE_DF_COLUMN_ORDER = [
    "particle_index",
    "mip",
    "scaled_mip",
    "correlation_mean",
    "correlation_variance",
    "total_correlations",
    "pos_x",
    "pos_y",
    "pos_x_img",
    "pos_y_img",
    "pos_x_img_angstrom",
    "pos_y_img_angstrom",
    "phi",
    "theta",
    "psi",
    "relative_defocus",
    "defocus_u",
    "defocus_v",
    "astigmatism_angle",
    "pixel_size",
    "refined_pixel_size",
    "voltage",
    "spherical_aberration",
    "amplitude_contrast_ratio",
    "phase_shift",
    "ctf_B_factor",
    "micrograph_path",
    "template_path",
    "mip_path",
    "scaled_mip_path",
    "psi_path",
    "theta_path",
    "phi_path",
    "defocus_path",
    "correlation_average_path",
    "correlation_variance_path",
]

REFINED_DF_COLUMN_ORDER = [
    "particle_index",
    "mip",
    "scaled_mip",
    "refined_mip",
    "refined_scaled_mip",
    "correlation_mean",
    "correlation_variance",
    "total_correlations",
    "pos_x",
    "pos_y",
    "pos_x_img",
    "pos_y_img",
    "pos_x_img_angstrom",
    "pos_y_img_angstrom",
    "refined_pos_x",
    "refined_pos_y",
    "refined_pos_x_img",
    "refined_pos_y_img",
    "refined_pos_x_img_angstrom",
    "refined_pos_y_img_angstrom",
    "phi",
    "theta",
    "psi",
    "refined_phi",
    "refined_theta",
    "refined_psi",
    "relative_defocus",
    "refined_relative_defocus",
    "defocus_u",
    "defocus_v",
    "astigmatism_angle",
    "pixel_size",
    "refined_pixel_size",
    "voltage",
    "spherical_aberration",
    "amplitude_contrast_ratio",
    "phase_shift",
    "ctf_B_factor",
    "micrograph_path",
    "template_path",
    "mip_path",
    "scaled_mip_path",
    "psi_path",
    "theta_path",
    "phi_path",
    "defocus_path",
    "correlation_average_path",
    "correlation_variance_path",
]

CONSTRAINED_DF_COLUMN_ORDER = [
    "particle_index",
    "mip",
    "scaled_mip",
    "refined_mip",
    "refined_scaled_mip",
    "correlation_mean",
    "correlation_variance",
    "total_correlations",
    "pos_x",
    "pos_y",
    "pos_x_img",
    "pos_y_img",
    "pos_x_img_angstrom",
    "pos_y_img_angstrom",
    "refined_pos_x",
    "refined_pos_y",
    "refined_pos_x_img",
    "refined_pos_y_img",
    "refined_pos_x_img_angstrom",
    "refined_pos_y_img_angstrom",
    "phi",
    "theta",
    "psi",
    "refined_phi",
    "refined_theta",
    "refined_psi",
    "original_offset_phi",
    "original_offset_theta",
    "original_offset_psi",
    "relative_defocus",
    "refined_relative_defocus",
    "defocus_u",
    "defocus_v",
    "astigmatism_angle",
    "pixel_size",
    "refined_pixel_size",
    "voltage",
    "spherical_aberration",
    "amplitude_contrast_ratio",
    "phase_shift",
    "ctf_B_factor",
    "micrograph_path",
    "template_path",
    "mip_path",
    "scaled_mip_path",
    "psi_path",
    "theta_path",
    "phi_path",
    "defocus_path",
    "correlation_average_path",
    "correlation_variance_path",
]
